/*
SYNTAX CSS:

selector {
    property: value(s);
}


1) TAG Selectors --> body, h1, footer, ...
2) CLASS Selectors --> .class-x, .class-y, .class-z, ...
3) PSEUDoCLASS Selector--> :hover, :focus, :checked, ...
current klasse


*/


font-family: "input-serif", serif;
font-weight: 400;
font-style: normal;



h3 {
    margin: 2em 0 1em;
    font-family: droid-sans, sans-serif;
    font-size: 2.2em;
    font-weight: 400;
    text-align: center;
}

.image-container {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;

    margin: 0 0 2em;
    padding: 1.5em;
}

.image-container figure {
    flex-basis: 450px;
    flex-grow: 1;
    margin: 2px;
}

body {
    margin: 0;
    font-family: "input-serif", serif;
font-weight: 400;
font-style: normal;
}


header {
    padding: 500px 500px 0px;
    background-color: crimson;
    border-bottom: solid 2px black;

    display: flex;

    align-items: flex-start;
    min-height: 80vh;
    justify-content: space-between;
    flex-direction: column;

}

nav {
    justify-content: flex-end;
    flex-direction: row;
}

h1 {
    margin-top: 0;
    margin-right: 0;
    margin-bottom: 50px 40px 0;
    margin-left: 0;

    color: white;
    font-size: 7em;
    text-align: center;
    text-transform: uppercase;
    opacity: 0, 5;

}


.liste {
    border-top: solid 2px black;
    padding-bottom: 30px;
    padding-top: 8px margin: 2em 0 2em 0
}

ul {
    list-style: none;
    margin: 2em auto 2em auto;
    max-width: 75ch;
    font-size: 1.2em;

}

.display-flex .container {

    background-color: #ff7979;
    padding: 1em;
    border: solid 4px white;


    /* FLEXBOX-Eigenschaften: */
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: space-evenly;
    align-items: flex-end;
    min-height: 300px;
}

.display-flex .item {

    background-color: #e5e4e4;
    color: black;



}


.clorchange1 header {
    background-color: blueviolet;
    background-image: url(../img/header/hello%20lila.jpg);
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;

}


.clorchange1 main {
    background-color: #caadff;

}


.clorchange1 .imp:hover {

    background-color: violet;



}

.colorchange2 header {
    background-color: forestgreen;
    background-image: url(../img/header/hello_green.jpg);
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
}

.colorchange2 main {
    background-color: #a7d0a7;
}


.colorchange2 .imp:hover {
    background-color: greenyellow;
}

.colorchange3 header {
    background-color: teal;
    background-image: url(../img/header/hello%20teal.jpg);
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
}


.colorchange3 main {
    background-color: #d3f0e2;
}

.colorchange4 header {
    background-color: #fd3535;

    background-image: url(../img/header/hello_rot.jpg);
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
}

.colorchange4 main {
    background-color: #ff7979;
}

.colorchange4 .imp:hover {
    background-color: #e54242;
}

.colorchange4 h2 {


    padding: 0 0, 4em;
    display: inline-block;
    background-color: lightcoral;
}


.display-block h2 {

    display: block;
}


.display-inline h2 {

    display: inline;
}

.display-inline-block h2 {

    display: inline-block;
}



nav   {
    margin: 10px 0px 0px;
    padding-top: 6px;
    padding-right: 12px;
  
    padding-left: 12px;

    background-color: white;
    color: black;
    text-decoration: none;
    transition: 0.4s;
    display: flex;
    justify-content: space-between;
    flex-direction: row;
    width: 100%;
    

    /*
    border-style: solid;
    border-width: 1px;
    border-color: black;
*/
    border: solid 1px black;

}

nav a:hover {
    background-color: black;
    color: white;
}



main {
    padding-top: 64px;
    padding-right: 16px;
    padding-bottom: 128px;
    padding-left: 16px;
    background-color: cornflowerblue;
}

article {
    max-width: 1100px;
    margin-right: auto;
    margin-bottom: 100px;
    margin-left: auto;
    padding: 30px 0 60px 0;

    background-color: white;

}

h2 {
    margin: 0;
    font-size: 2.5em;
    font-weight: 400;
    text-align: center;
    text-transform: uppercase;
}

p {
    max-width: 75ch;
    margin: 1.5em auto 1.5em auto;
    font-size: 1.1em;
    padding: 1em
}



.current {

    background-color: black;
    color: white;

}



.imp {
    max-width: none;
    margin: 2em 0;
    text-align: center;
    font-size: 2em;
    border-top: solid 4px black;
    border-bottom: solid 4px black;
    padding: 1.4em 4em 1.6em 4em;
    transition: background 0.5s ease-out;



}

.imp:hover {
    background-color: skyblue;

}


.display-inline .item {

    display: inline;

}

.display-inline-block .item {

    display: inline-block;
}

img {
    width: 100%;
}

figure {
    background-color: #dedede;

    margin: 50px 0px;
    text-align: center;
    padding-bottom: 20px
}

figcaption {

    margin-top: 1.2sem;

    font-size: 1em;



}

.container {
    margin: 2.5em 0;
    padding: 1em;
    background-color: #e5e4e4;
}


.item {
    margin: 0.5em;
    padding: 0.5em;
    background-color: lightcoral;

}



main a {
    color: black;
}



footer {
    padding: 20px 32px 20px 32px;

    /*
    padding-top: 20px;
    padding-right: 32px;
    padding-bottom: 20px;
    padding-left: 32px;
*/

    background-color: black;
    color: white;
}
